-record(combined, {
    kind :: cake@internal@read_query:combined_query_kind(),
    queries :: list(cake@internal@read_query:select()),
    limit :: cake@internal@read_query:limit(),
    offset :: cake@internal@read_query:offset(),
    order_by :: cake@internal@read_query:order_by(),
    epilog :: cake@internal@read_query:epilog(),
    comment :: cake@internal@read_query:comment()
}).
